Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface AESAudioMetadata.TimeDesc

Enclosing class:
  AESAudioMetadata

    public static interface AESAudioMetadata.TimeDesc

Public interface to the nested TimeDesc object. Instances of this should be created only by appropriate methods, but can be accessed through the public methods of this interface.

Method Summary
`int` | `getFrames()` Returns the frames component of the fraction of a second.
`int` | `getHours()` Returns the hours component.
`int` | `getMinutes()` Returns the minutes component.
`double` | `getSampleRate()` Returns the sample rate on which the samples remainder is based.
`int` | `getSamples()` Returns the samples remaining after the frames part of the fractional second.
`int` | `getSeconds()` Returns the seconds component.

Method Detail

### getHours

    int getHours()

  Returns the hours component.

### getMinutes

    int getMinutes()

  Returns the minutes component.

### getSeconds

    int getSeconds()

  Returns the seconds component.

### getFrames

    int getFrames()

  Returns the frames component of the fraction of a second. We always consider frames to be thirtieths of a second.

### getSamples

    int getSamples()

  Returns the samples remaining after the frames part of the fractional second.

### getSampleRate

    double getSampleRate()

  Returns the sample rate on which the samples remainder is based.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD